rexima(1)

NAME
rexima - a curses-based (and command-line) mixer

SYNOPSIS
rexima [-hv] [-d mixer_device_file] [device <level | offset | left,right | rec | norec> [device @cc .

DESCRIPTION
rexima is an interactive mixer which can also be used from the command-line. It lets you alter levels of all devices, and to set which are recording sources. It should work on any terminal with at least an 80x24 screen.

Before we go any further, a quick definition:

A device is either an overall control (such as `bass'), or an input to the mixer (such as `pcm'), which can be adjusted to alter the overall mixed result output by the soundcard. I use "mixer device file" to refer to /dev/mixer and the like.

OPTIONS

-d  specify the mixer device file to be used. The default is to use the usual /dev/mixer.

-h  give terse usage help, and also list devices whose settings can be altered. Which devices are supported will depend upon which soundcard is installed and/or which mixer is being used.

-v  show current mixer settings. Stereo devices have separate left/right values shown. `[ ]' means the device can be recorded from but that recording from it is disabled; `[R]' means it can be recorded from and is enabled.

device
    device to alter settings of.

level
    volume level to set device to.

offset
    amount by which to adjust level. For example, `-3' or `+12'. (Using just `-' or `+' gives an adjustment of 2 in the specified direction.)

left,right
    volume level to set device to, with independent left/right values. This only works properly with stereo devices, of course. With mono devices, the left value alone is used.

rec and norec
    enable/disable whether device is currently acting as a recording source.

KEYS
rexima supports cursor keys if your terminal does, and if it was compiled with ncurses (usually the case). Other than the cursors, the keys are:

k   move cursor up.

j   move cursor down.

h   decrease level by 2% of maximum (same as cursor left).

l   increase level by 2% of maximum (same as cursor right).

H   decrease level by 1% of maximum.

L   increase level by 1% of maximum.

1-9 set level of current device to 10%, 20%, .. 90% of maximum (according to the key pressed).

Space
    toggle whether device is a recording source or not.

^L or ^R
    redisplay screen.

Esc, x, q
    exit rexima.

SCREEN CONVENTIONS
While the layout of the screen of a mixer program is mostly obvious - how many ways are there to display a series of `sliders'? - some details need explanation.

While the sound driver supports many separate devices, each having their own level, usually not all are supported by any given soundcard. In rexima, unsupported devices are not shown.

Some devices can act as recording sources, such that signals from them are readable via the card's sampling hardware. Devices this is possible for have `[ ]' to the right of the percentage display. An `R' will appear between the square brackets if the device is acting as a recording source. This state can be toggled by pressing space.

EXAMPLE COMMAND-LINE USAGE
Since the synopsis above looks confusing, it seems sensible to give some examples. So, here are two lines I use on startup:

rexima line rec mic rec cd rec igain 100 ogain 0

This makes line-in, mic, and CD input recordable, sets input gain to maximum and output gain to minimum. (Believe it or not, these gain settings are actually pretty sensible on an SB16.)

rexima bass 85 treble 100 vol 50 speaker 0 mic 0

This is pretty self-explanatory.

Note that these could have been combined into one (admittedly unwieldy) invocation of rexima.

BUGS
You can't set left/right channels independently when using rexima interactively.

It doesn't use colour, graphics chars etc. I consider this a feature, as the screen draws more quickly and the interface is consistent across all terminals, but others may consider it a bug.

SEE ALSO
aumix(1)

AUTHOR
Russell Marks (rus@svgalib.org).